<?php
/**
 * Admin View: Page - Addons
 *
 * @var string $view
 * @var object $addons
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>
<div class="wrap woocommerce wcv_addons_wrap">

	<h1><?php _e( 'Expand your marketplace and take it to the next level.', 'wc-vendors' ); ?></h1>
	<br/>

	<ul class="products">
		<li class="product">
			<a href="https://www.wcvendors.com/product/wc-vendors-stripe-connect/?utm_source=plugin&utm_medium=addons&utm_campaign=extensions">
				<h2><?php _e( 'WC Vendors Stripe Connect', 'wc-vendors' ); ?></h2>
				<p><?php _e( 'Take credit card payments and pay your vendors their commissions instantly when the customer purchases. No need to manually pay your vendors.', 'wc-vendors' ); ?></p>
				<span class="product-addons-button product-addons-button-solid"><?php _e( 'From $89', 'wc-vendors' ); ?></span>
			</a>
		</li>
		<li class="product">
			<a href="https://www.wcvendors.com/product/wc-vendors-membership/?utm_source=plugin&utm_medium=addons&utm_campaign=extensions">
				<h2><?php _e( 'WC Vendors Membership', 'wc-vendors' ); ?></h2>
				<p><?php _e( 'Earn guaranteed income from your vendors with this easy to use extension. Want to charge your vendors to list products on your marketplace? ', 'wc-vendors' ); ?></p>
				<span class="product-addons-button product-addons-button-solid"><?php _e( 'From $89', 'wc-vendors' ); ?></span>
			</a>
		</li>
	</ul>
	<ul class="products">
		<li class="product">
			<a href="https://www.wcvendors.com/product/wc-vendors-woocommerce-bookings/?utm_source=plugin&utm_medium=addons&utm_campaign=extensions">
				<h2><?php _e( 'WC Vendors WooCommerce Bookings<', 'wc-vendors' ); ?>/h2>
					<span class="price"><?php _e( 'From $89.00', 'wc-vendors' ); ?></span>
					<p><?php _e( 'Allow vendors to create bookings. Integrate WooCommerce bookings into the WC Vendors Pro Dashboard.', 'wc-vendors' ); ?></p>
					<span class="product-addons-button product-addons-button-solid"><?php _e( 'From $89', 'wc-vendors' ); ?></span>
			</a>
		</li>
		<li class="product">
			<a href="https://www.wcvendors.com/product/wc-vendors-woocommerce-subscriptions/?utm_source=plugin&utm_medium=addons&utm_campaign=extensions">
				<h2><?php _e( 'WC Vendors WooCommerce Subscriptions<', 'wc-vendors' ); ?>/h2>
					<span class="price"><?php _e( 'From $89.00', 'wc-vendors' ); ?></span>
					<p><?php _e( 'Allow vendors to create subscriptions. Integrates WooCommerce subscriptions into the WC Vendors Pro Dashboard.', 'wc-vendors' ); ?></p>
					<span class="product-addons-button product-addons-button-solid"><?php _e( 'From $89', 'wc-vendors' ); ?></span>
			</a>
		</li>
	</ul>
	<ul class="products">
		<li class="product">
			<a href="https://www.wcvendors.com/product/wc-vendors-woocommerce-simple-auctions//?utm_source=plugin&utm_medium=addons&utm_campaign=extensions">
				<h2><?php _e( 'WooCommerce Simple Auctions', 'wc-vendors' ); ?></h2>
				<p><?php _e( 'Allow vendors to create auctions. Integreate WooCommerce Simple Auctions into the WC Vendors Pro dashboard.', 'wc-vendors' ); ?> </p>
				<span class="product-addons-button product-addons-button-solid"><?php _e( 'From $49', 'wc-vendors' ); ?></span>
			</a>
		</li>
		<li class="product">
			<a href="https://www.wcvendors.com/home/compatible-plugins/?utm_source=plugin&utm_medium=addons&utm_campaign=extensions">
				<h2><?php _e( 'Compatible 3rd party plugins', 'wc-vendors' ); ?></h2>
				<p><?php _e( 'You can find a selection of compatible plugins with WC Vendors Marketplace and or WC Vendors Pro. <br /><br />They cover a range of areas including vendor payment gateways, shipping, service, support and chat, social media and currency/credit systems.', 'wc-vendors' ); ?></p>
				<span class="product-addons-button product-addons-button-solid"><?php _e( 'View compatible plugins', 'wc-vendors' ); ?></span><br />
			</a>
		</li>

	</ul>


	<p><?php printf( __( 'Our list of premium extensions for WC Vendors can be found on our website. <a href="%s">Click here to view our extensions list.</a>', 'wc-vendors' ), 'https://www.wcvendors.com/plugins/?utm_source=plugin&utm_medium=addons&utm_campaign=extensions' ); ?></p>


</div>
